OpenNMS API 1.2.9

## org.opennms.report.datablock
Class Node.InterfaceComparator

    java.lang.Object
      org.opennms.report.datablock.Node.InterfaceComparator

Enclosing class:
  Node

private static class Node.InterfaceComparator
extends java.lang.Object

Field Summary
`private java.lang.String` `m_intfname`

Constructor Summary
`private` `Node.InterfaceComparator(java.lang.String intf)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`(package private) static Node.InterfaceComparator` `make(Service svc)`
`(package private) static Node.InterfaceComparator` `make(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_intfname

    private java.lang.String m_intfname

Constructor Detail

### Node.InterfaceComparator

    private Node.InterfaceComparator(java.lang.String intf)

Method Detail

### make

    static Node.InterfaceComparator make(java.lang.String name)

### make

    static Node.InterfaceComparator make(Service svc)

### equals

    public boolean equals(java.lang.Object o)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.